Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • At least 1 GB RAM (2 GB is recommended); Load Test might require more for high loads
  • Eclipse 3.5.2 - 4.x  or Rational Application Developer 8.0
  • For Linux:
    • Java 7 or higher
    • GTK+ 2.18 or higher
    • GLib 2.17.6 or higher
    • Pango 1.20 or higher
    • X.Org 1.0 or higher
    • 32-bit or 64-bit (x86_64) processors with at least 2 cores are supported
  • For Mac:
    • Java 8 or higher
    • Mac OS X 10.5 9 or higher
    • A processor with at least 2 cores

...

  1. If you haven't already done so, move the installation file that you downloaded to the directory where you want to install SOAtest. Typically, this would be a directory different than your Eclipse location so the files can be more easily updated independently in the future.
  2. Change directories to the directory where you are going to install SOAtest.
  3. Set "execute" permissions on the installer:
    • Linux: chmod +x parasoft_soatest_9.x_linux_eclipse_plugin.sh
    • Mac: chmod +x parasoft_soatest_9.x_macosx_eclipse_plugin.sh
  4. Execute the installer, then follow the onscreen instructions to complete the installation.
    • Linux: ./parasoft_soatest_9.x_linux_eclipse_plugin.sh
    • Mac: ./parasoft_soatest_9.x_macosx_eclipse_plugin.sh

 


Note
titleNote
The SOAtest plugin can be uninstalled by deleting the links directory that was created at the top-level of the Eclipse installation directory.

...

  • Change directories to your eclipse directory, then start Eclipse as you normally do (using the Eclipse executable):
    ./eclipse

 


Info
titleFrozen Workspace Launcher?

On Eclipse 4.5 and Mac OS X 10.11, there is a known issue with the workspace launcher becoming unresponsive when SOAtest starts up. The workaround is to launch Eclipse from the command line with the –nosplash argument.

 


To run SOAtest Command Line:

...